Loading...
Searching...
No Matches
Locale selection
Public API functions » Port initialisation » Card information » Port control » Event handling » Audio play and record » Error handling » Programmable tone generator » Programmable tone detector
Collaboration diagram for Locale selection:

## Classes

struct | Country
| Container type for country specific data. More...

## Functions

void WINAPI | vpb_set_country (const Country *country)
| Set the global default country specific information.
int WINAPI | vpb_set_country (VPBPortHandle handle, const Country *country)
| Set the country specific information for an individual port.
const Country *WINAPI | vpb_get_port_country (VPBPortHandle handle)
| Get the current country data for port handle.
const Country *WINAPI | vpb_get_country_data (const std::string &name)
| Get country specific data by name.
const Country *WINAPI | vpb_get_country_data (int code)
| Get country specific data by numeric country code.

## Detailed Description

See also
  L10N

## Function Documentation

## vpb_get_country_data() [1/2]

const Country *WINAPI vpb_get_country_data | ( | const std::string & | name | ) |

Get country specific data by name.

Parameters

  name | A country name from the list here.

Returns
  `NULL` if name is not a pre-defined country name.

Referenced by VTCore::Reset(), vpb_cid_compose_wav(), and vpb_cid_t2_compose_wav().

## vpb_get_country_data() [2/2]

const Country *WINAPI vpb_get_country_data | ( | int | code | ) |

Get country specific data by numeric country code.

Parameters

  code | The ITU-T numeric country calling code. A comprehensive list of the numeric country codes is available here: http://wikipedia.org/wiki/List_of_country_calling_codes

Returns
  `NULL` if code is not a pre-defined numeric country code.

## vpb_set_country() [1/2]

void WINAPI vpb_set_country | ( | const Country * | country | ) |

Set the global default country specific information.

This data will be used for ports that have not had their country data set individually. If country is `NULL` it will restore the initial hardcoded default country settings (ie. AUSTRALIA).

References VPBREG::country, VPBREG::hostdsp, VPBREG::numch, HostDSP::SetCountry(), and vpb_c.

## vpb_set_country() [2/2]

int WINAPI vpb_set_country | ( | VPBPortHandle | handle,
|  | const Country * | country )

Set the country specific information for an individual port.

This will override the default country data for handle. If country is `NULL`, then handle will revert to using the global default data.

References CheckHandle(), and set_country().